package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.common.core.domain.R;
import doctor.domain.entity.Banners;
import doctor.service.BannersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.controller
 * @Author: jpz
 * @CreateTime: 2024/1/10 15:54
 */
@RestController
@RequestMapping("/share/v1")

public class BannersController {
    @Autowired
    private BannersService bannersService;
    @GetMapping("/bannersShow")
    public HealthR<List<Banners>> bannersShow(){
        List<Banners> banners = bannersService.bannersShow();
        return HealthR.ok(banners);
    }
}
