package doctor.mapper;

import doctor.domain.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName : VideoMapper
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 16:03
 */
@Mapper
public interface VideoMapper {


    void addUserVideoCollection(UserVideoCollection userVideoCollection);

    Video findById(@Param("videoId") Integer videoId);

    VideoCount FindVideoId(@Param("id") Integer id);

    void updateVideoCount(VideoCount videoCount);

    User FindById(@Param("userId") Integer userId);

    UserWallet FindUserWallet(@Param("id") Integer id);

    Video findByVideoId(@Param("videoId") Integer videoId);

    void updateUserWallet(@Param("newblance") int newblance, @Param("id") Integer id);

    List<VideoComment> findVideoCommentList();


//    UserWallet FindById(@Param("userId") Integer userId);
}
