package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.common.core.domain.R;
import doctor.domain.entity.Department;
import doctor.service.DepartmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.controller
 * @Author: jpz
 * @CreateTime: 2024/1/10 16:49
 */
@RestController
@RequestMapping("/share/knowledgeBase/v1")
public class DepartmentController {
    @Autowired
    private DepartmentService departmentService;
    @GetMapping("/findDepartment")
    public HealthR<List<Department>> findDepartment(){
        List<Department> list=departmentService.findDepartment();
        return HealthR.ok(list);
    }
}
