package doctor.mapper;

import doctor.domain.entity.UserVideoBuy;
import doctor.domain.entity.UserVideoCollection;
import doctor.domain.entity.UserWallet;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName : UserVideoMapper
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:33
 */
@Mapper
public interface UserVideoMapper {
    List<UserVideoCollection> findVideoCollectionList();

    void cancelVideoCollection(@Param("id") Integer id);

    List<UserVideoBuy> findUserVideoBuyList();

    void deleteVideoBuy(@Param("id") Integer id);

    List<UserWallet> findUserWallet();

    void addInfoCollection(@Param("infoId") Long infoId);
}
