package doctor.service;

import doctor.domain.entity.UserVideoBuy;
import doctor.domain.entity.UserVideoCollection;
import doctor.domain.entity.UserWallet;

import java.util.List;

/**
 * @ClassName : UserVideoService
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:33
 */
public interface UserVideoService {
    List<UserVideoCollection> findVideoCollectionList();

    void cancelVideoCollection(Integer id);

    List<UserVideoBuy> findUserVideoBuyList();

    void deleteVideoBuy(Integer id);

    List<UserWallet> findUserWallet();

    void addInfoCollection(Long infoId);
}
