package doctor.service.impl;

import doctor.domain.entity.UserVideoBuy;
import doctor.domain.entity.UserVideoCollection;
import doctor.domain.entity.UserWallet;
import doctor.mapper.UserVideoMapper;
import doctor.service.UserVideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName : UserVideoServiceImpl
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:34
 */
@Service
public class UserVideoServiceImpl implements UserVideoService {
    @Autowired
    private UserVideoMapper userVideoMapper;
    @Override
    public List<UserVideoCollection> findVideoCollectionList() {
        return userVideoMapper.findVideoCollectionList();
    }

    @Override
    public void cancelVideoCollection(Integer id) {
        userVideoMapper.cancelVideoCollection(id);
    }

    @Override
    public List<UserVideoBuy> findUserVideoBuyList() {
        return userVideoMapper.findUserVideoBuyList();
    }

    @Override
    public void deleteVideoBuy(Integer id) {
        userVideoMapper.deleteVideoBuy(id);
    }

    @Override
    public List<UserWallet> findUserWallet() {
        return userVideoMapper.findUserWallet();
    }

    @Override
    public void addInfoCollection(Long infoId) {
        userVideoMapper.addInfoCollection(infoId);
    }
}
